This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 57426 - tcsh has problem globbling large files
tcsh has problem globbling large files
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: tcsh (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-12-12 01:05 EST by Pat Kane
Modified: 2007-04-18 12:38 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-02-06 15:10:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pat Kane 2001-12-12 01:05:40 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.16-0.5 i686)

Description of problem:
tcsh can does not glob large files correctly

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
  date > x
  dd if=x of=x1 seek=1M
  dd if=x of=x5 seek=5M

   tcsh:   ls -l  x*

	

Actual Results:   -rw-rw-rw-    1 foo     bar          29 Dec 11 23:58 x
 -rw-rw-rw-    1 foo     bar     536870941 Dec 11 23:58 x1


Expected Results:  -rw-rw-rw-    1 foo       bar           29 Dec 11 23:58
x
-rw-rw-rw-    1 foo       bar     536870941 Dec 11 23:58 x1
-rw-rw-rw-    1 foo       bar    2684354589 Dec 11 23:58 x5


Additional info:
Comment 1 Need Real Name 2002-05-10 19:30:51 EDT
I have seen this bug also. 

I resolved it by compiling with the following options: 
	 -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE

This was added to the CCFLAGS= line of the Makefile.

I installed the source rpm for tcsh.
Then installed each patch (for version 6.10)
then ran the configure script.
Then edited the Makefile to add the above definitions.

make
make install

cd /bin
rm tcsh
ln -s /usr/local/bin/tcsh tcsh

Note: The src rpm configure file has the make install place the tcsh executable
into /usr/local/bin.

Hope you find this useful. And we get an updated rpm soon.
Comment 2 Jeremy Sanders 2002-10-08 07:18:59 EDT
This appears fixed on RedHat 8.0 (but not 7.3). Close?
Comment 3 Bill Nottingham 2003-02-06 15:10:37 EST
Yup.

Note You need to log in before you can comment on or make changes to this bug.